=== doc-translations/CMakeLists.txt ===
add_subdirectory( es_labplot2/labplot2 )
add_subdirectory( nl_labplot2/labplot2 )
add_subdirectory( pt_labplot2/labplot2 )
add_subdirectory( pt_BR_labplot2/labplot2 )
add_subdirectory( sv_labplot2/labplot2 )
add_subdirectory( uk_labplot2/labplot2 )
