=== po/ast/CMakeLists.txt ===
file(GLOB _po_files_ast *.po)
GETTEXT_PROCESS_PO_FILES( ast ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files_ast} )
