=== po/bs/CMakeLists.txt ===
file(GLOB _po_files_bs *.po)
GETTEXT_PROCESS_PO_FILES( bs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files_bs} )
