=== po/ca@valencia/CMakeLists.txt ===
file(GLOB _po_files_cavalencia *.po)
GETTEXT_PROCESS_PO_FILES( ca@valencia ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files_cavalencia} )
