=== po/da/CMakeLists.txt ===
file(GLOB _po_files_da *.po)
GETTEXT_PROCESS_PO_FILES( da ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files_da} )
