=== po/es/CMakeLists.txt ===
file(GLOB _po_files_es *.po)
GETTEXT_PROCESS_PO_FILES( es ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files_es} )
