=== po/fi/CMakeLists.txt ===
file(GLOB _po_files_fi *.po)
GETTEXT_PROCESS_PO_FILES( fi ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files_fi} )
