=== debian/changelog ===
labplot (2.4.0-1ubuntu4) bionic; urgency=medium

  * Rebuild against new libnetcdf13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 10:08:33 +0200

labplot (2.4.0-1ubuntu3) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:18:20 +0000

labplot (2.4.0-1ubuntu2) artful; urgency=medium

  * Add breaks/replaces on data package for moved file.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Jun 2017 23:26:39 +0100

labplot (2.4.0-1ubuntu1) artful; urgency=medium

  * Merge from debian; remaining changes
    - Prune superfluous build depends
    - Keep Kubuntu Vcs fields
    - wrap-and-sort

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Jun 2017 18:25:13 +0100

labplot (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies:
    - bump cmake to 3.2.0
    - explicitly add more frameworks packages: libkf5completion-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev,
      libkf5doctools-dev, libkf5iconthemes-dev, libkf5newstuff-dev,
      and libkf5textwidgets-dev
    - add libcfitsio-dev, for new features
    - explicitly add gettext, and pkg-config
  * Update the patches:
    - upstream_cmake-do-not-hardcode-libdir-for-hdf5.patch: drop, fixed
      upstream
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 09:04:00 +0200

labplot (2.4.0-0ubuntu1) artful; urgency=medium

  * New upstream release (2.4.0)
  * debian/patches: drop upstream patch now in new release 2.4.0;
    upstream_cmake-do-not-hardcode-libdir-for-hdf5.patch
  * Update install files; new appstream data and desktop file
    names/locations, and KNewStuff rc file for themes
  * Add pkg-config to build-depends

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 24 Apr 2017 21:30:52 +0100

labplot (2.3.0-2ubuntu2) zesty; urgency=medium

  * debian/patches: Add upstream patch to fix application launch from
    the desktop file/menus; The KF5 port uses QCommandLineParser which
    doesn't know the '-caption' parameter. The desktop file needs to use
    '-qwindowtitle' instead. (LP: #1681426)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Apr 2017 14:17:04 +0100

labplot (2.3.0-2ubuntu1) zesty; urgency=medium

  * Go back to kio-dev; that's what we have on Ubuntu.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 30 Nov 2016 15:22:55 +0000

labplot (2.3.0-2build1) zesty; urgency=medium

  * Rebuild against new hdf5

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 29 Nov 2016 17:34:36 +0000
